<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML tables and forms</title>
	</head>
		<body>
			<header>
			<h1>HTML tables and forms</h1>
			</header>

			<main>

				<section>
				<h2>HTML Entities</h2>
				<p> <em>Reserved characters in HTML (e.g &lt; or &gt;characters that can mixed up in HTML code </em> </p>
				
				
				<!-- defines an HTML table -->
				<table border="3">
					<thead>
						<!-- tr define table raw -->
						<tr>
							<!-- th defines header -->
							<th colspan="2">Entity</th>
							<th>Description</th>
						</tr>
					</thead>

					<tbody>
						<tr>
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
							
						</tr>
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>amper sand</td>
						</tr>

						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation</td>
						</tr>

						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark (apostrophe</td>
						</tr>

						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lowertide</td>
						</tr>
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>upper tide</td>
						</tr>
					
					</tbody>

					<tfoot>
						<th colspan="3">List of HTML Entities</th>
					</tfoot>
				</table>

				</section>


				<section>

				<h2>HTML Forms</h2>
				<p><em>Input elements that make up a form</em></p>

				<!-- action attribute is use to define information will be sent to -->
				<form action="https://google.com">
					<label for="full_name">Full name</label><br>
					<input type="text" name="full_name" id="full_name" required autocomplete><br>
					<label for="birth_date">Birth date</label><br>
					<input type="date" name="birth_date" id="birth_date" required><br>

					<label for="Age">Age</label><br>
					<input type="number" name="Age" id="Age" required><br>

					<label for="Gender">Gender</label><br>
					<select name="Gender" id="gender"> 
						<option>Male</option>
						<option>female</option>
					</select><br>

					<label for="Notes">Notes</label><br>
					<textarea for="Notes" id="Notes" rows="5"></textarea><br>

					<!-- radio button -->
					<label>New User</label><br>
					<input type="radio" name="new_user" id="user-type1" value="yes">
					<label for="user-type1">yes</label><br>
					<input type="radio" name="new_user" id="user-type1" value="No">
					<label for="user-type1">No</label><br><br>

					<label>Role</label><br>

					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">developer</label><br>

					<input type="checkbox" name="role2" id="role2" value="student">
					<label for="role2">student</label><br>

					<input type="checkbox" name="role3" id="role3" value="manager">
					<label for="role3">Manager</label><br><br>

					<!-- type attribute use to define how the button will behave -->
					<button type="Submit">Submit</button><br>
					<!-- button to reset a form -->
					<button type="reset">Reset</button><br>
					


				</form>
				</section>
			</main>

		</body>
		</html>